Bug 27469 - Improve link text when returning to vendor page
Summary: Improve link text when returning to vendor page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Ella
QA Contact: Marcel de Rooy
URL:
Keywords: Academy
Depends on:
Blocks: 26722
  Show dependency treegraph
 
Reported: 2021-01-20 00:36 UTC by Aleisha Amohia
Modified: 2021-06-14 21:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27469: Improve link text when returning to booksellers page (1.54 KB, patch)
2021-01-20 01:44 UTC, Ella
Details | Diff | Splinter Review
Bug 27469: Improve link text when returning to booksellers page (1.59 KB, patch)
2021-01-20 14:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27469: (follow-up) Correct terminology (1.27 KB, patch)
2021-01-20 14:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27469: Improve link text when returning to booksellers page (1.70 KB, patch)
2021-01-21 22:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27469: (follow-up) Correct terminology (1.38 KB, patch)
2021-01-21 22:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27469: Improve link text when returning to booksellers page (1.79 KB, patch)
2021-01-22 09:26 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 27469: (follow-up) Correct terminology (1.48 KB, patch)
2021-01-22 09:26 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-01-20 00:36:02 UTC
koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basket.tt: <a href="booksellers.pl">Click here to go back to booksellers page</a>

"Here" should not be used as a link text as it doesn't contain any helpful information for people scanning the page for information and also is a problem for blind users using screen readers jumping from link to link on a page.
Comment 1 Ella 2021-01-20 01:44:27 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2021-01-20 14:06:16 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2021-01-20 14:06:19 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2021-01-21 22:50:09 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2021-01-21 22:50:12 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2021-01-22 09:26:32 UTC
Created attachment 115670 [details] [review]
Bug 27469: Improve link text when returning to booksellers page

This is to make the link more accessible for screen readers.
1. (Without patch) go to 'Acquisitions' and then 'Basket'
2. The link for the booksellers page should say 'Click here to go back
to booksellers page'
3. Add patch
4. The link should now just say 'Go back to booksellers page', i.e.
there is now no 'Click here'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=27496

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2021-01-22 09:26:35 UTC
Created attachment 115671 [details] [review]
Bug 27469: (follow-up) Correct terminology

We should use "vendor" instead of "bookseller."

https://wiki.koha-community.org/wiki/Terminology

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=27496

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Jonathan Druart 2021-01-22 13:54:33 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 9 Fridolin Somers 2021-01-29 13:58:09 UTC
Enhancement not pushed to 20.11.x